/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.paging.samples.java;

@SuppressWarnings({"WeakerAccess", "unused"})
//BEGIN_INCLUDE(uiModel)
public class UiModel {
    public UiModel() {}

    static class ItemModel extends UiModel {
        public Item item;

        ItemModel(Item item) {
            this.item = item;
        }
    }

    static class SeparatorModel extends UiModel {
        public char character;
        SeparatorModel(char character) {
            this.character = character;
        }
    }
}
//END_INCLUDE(uiModel)
