/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dokkatest.restrictto

import androidx.annotation.RestrictTo

class VisibleWithHiddenMembers {
    @RestrictTo(RestrictTo.Scope.LIBRARY_GROUP)
    fun hiddenMemberFunction(): Int = 1

    fun visibleMemberFunction(): Int = 2

    @RestrictTo(RestrictTo.Scope.LIBRARY_GROUP)
    val hiddenMemberProperty = 3

    val visibleMemberProperty = 4

    @RestrictTo(RestrictTo.Scope.LIBRARY_GROUP)
    class HiddenInnerClass

    class VisibleInnerClass
}
